@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';

/* /Components/AddWordsPanel.razor.rz.scp.css */
/* /Components/CardCnts.razor.rz.scp.css */
.words-remaining[b-oeqbp6aify] {
    font-weight: bold;
    margin: 0px 4px;
    white-space: nowrap;
    text-align: center;
    padding: 0px 4px;
    min-width: 32px;
    justify-content: center;
    border-radius: 0px;
}
/* /Components/ChatPanel.razor.rz.scp.css */

.container[b-agcox6lu50] {
    margin: auto;
    background: #ccc;
    padding: 15px;
    border-radius: 0px;
    color: black;
    font-size: small;
}

.chat-window[b-agcox6lu50] {
    min-height: 100px;
    max-height: 300px;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0;
}

.chat-box-tray[b-agcox6lu50] {
    background: #eee;
    padding: 3px;
    margin-top: 10px;
    border-radius: 7px;
    margin-left: 0px;
    margin-right: 0px;
}

.message-input[b-agcox6lu50] {
    border: none;
    border-radius: 7px;
    width: 100% !important;
    padding: 2px 2px;
    font-size: small;
}

    input[b-agcox6lu50]::placeholder {
        color: #e3e3e3;
        font-weight: 300;
    }

    input:focus[b-agcox6lu50] {
        outline: none;
        box-shadow: none;
    }


.chat-bubble[b-agcox6lu50] {
    padding: 5px 5px;
    background: #eee;
    margin: 1px 0px;
    border-radius: 9px;
    position: relative;
    animation: fadeIn-b-agcox6lu50 1s ease-in;
}


@keyframes fadeIn-b-agcox6lu50 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.chat-bubble--right[b-agcox6lu50] {
    background: #74b9ff;
    color: #fff;
}

.chat-bubble-android[b-agcox6lu50] {
    background: #43CC47 !important;
    color: #fff !important;
}


/* /Components/ChatReactions.razor.rz.scp.css */
.open-reaction-panel-button[b-y2gkxyhqoa] {
    border: none;
    background-color: transparent;
    margin-left: 3px;
}

.close-reaction-panel-button[b-y2gkxyhqoa] {
    border: none;
    background-color: transparent;
    margin-left: 3px;
}

.add-reaction-button[b-y2gkxyhqoa] {
    border: none;
    background-color: transparent;
    margin-left: 3px;
}

.reaction-display[b-y2gkxyhqoa] {
    border: none;
    background-color: transparent;
    margin-left: 3px;
}
/* /Components/ClueDisplay.razor.rz.scp.css */
.word-clue[b-8dbviqvniu] {
    padding: 2px 4px 2px 4px;
    color: black;
    background-color: white;
    border: 1px black solid;
    font-weight: bold;
}

.word-clue-num[b-8dbviqvniu] {
    padding: 2px 4px 2px 4px;
    color: black;
    background-color: white;
    border: 1px black solid;
    font-weight: bold;
}
/* /Components/ClueInput.razor.rz.scp.css */
/* /Components/CongregatingPlayersPanel.razor.rz.scp.css */
.team-header-row[b-tee3ja17yr] {
    font-weight: bolder;
    padding: 0.5em;
}

.unassigned-team-header-row[b-tee3ja17yr] {
    background-color: black;
    color: white;
}

.left-room-header-row[b-tee3ja17yr] {
    background-color: gray;
    color: black;
}

.player-name[b-tee3ja17yr] {
    font-weight: bold;
}

.player-row[b-tee3ja17yr] {
    margin-left: 0px;
    margin-right: 0px;
}

.unassigned-player-row[b-tee3ja17yr] {
    background-color: #dddddd;
}

.left-player-row[b-tee3ja17yr] {
    background-color: #cccccc;
}
/* /Components/CongregatingRoom.razor.rz.scp.css */
.container-congregating[b-k6dm3otnzw] {
    width: 600px;
    max-width: 100%;
}
/* /Components/GamePlay.razor.rz.scp.css */


.side-column[b-wgsepsh8d9] {

}

/* /Components/GameSnapshotDisplay.razor.rz.scp.css */
.word-clue[b-rbg7mc4wtr] {
    padding: 2px 4px 2px 4px;
    color: black;
    background-color: white;
    border: 1px black solid;
    font-weight: bold;
}

.word-clue-num[b-rbg7mc4wtr] {
    padding: 2px 4px 2px 4px;
    color: black;
    background-color: white;
    border: 1px black solid;
    font-weight: bold;
}
/* /Components/LogPanel.razor.rz.scp.css */

.container[b-6xuyl259hl] {
    margin: auto;
    background: #ccc;
    padding: 15px;
    border-radius: 0px;
    color: black;
    font-size: small;
}

.log-window[b-6xuyl259hl] {
    /*min-height: 100px;*/
    max-height: 200px;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0;
}

.player[b-6xuyl259hl] {
    font-weight: bold;
}

.word[b-6xuyl259hl] {
    font-weight: bold;
}

.team[b-6xuyl259hl] {
    font-weight: bold;
}

.word-assassin[b-6xuyl259hl] {
    padding: 2px;
    color: white;
    background-color: black;
}

.word-clue[b-6xuyl259hl] {
    padding: 2px;
    color: black;
    background-color: white;
    border: 1px black solid;
    font-weight: bold;
}

.word-clue-num[b-6xuyl259hl] {
    padding: 2px 4px 2px 4px;
    color: black;
    background-color: white;
    border: 1px black solid;
    font-weight: bold;
}
/* /Components/NewGameBtn.razor.rz.scp.css */
/* /Components/PlayersPanel.razor.rz.scp.css */
.team-header-row[b-d0q40nsqw3] {
    font-weight: bolder;
    padding: 0.5em;
    color: white;
}

.unassigned-team-header-row[b-d0q40nsqw3] {
    background-color: black;
    color: white;
}

.left-room-header-row[b-d0q40nsqw3] {
    background-color: gray;
    color: black;
}

.player-name[b-d0q40nsqw3] {
    font-weight: bold;
}


.player-row[b-d0q40nsqw3] {
    margin-left: 0px;
    margin-right: 0px;
}

.unassigned-player-row[b-d0q40nsqw3] {
    background-color: #dddddd;
}

.assigned-player-row[b-d0q40nsqw3] {
    background-color: #dddddd;
}

.left-player-row[b-d0q40nsqw3] {
    background-color: #cccccc;
}

/* /Components/RoomDashboard.razor.rz.scp.css */
/* /Components/TapperDisplay.razor.rz.scp.css */

/* /Components/TeamDisplay.razor.rz.scp.css */
.team-header[b-1q1iw4dqka] {
    font-size: 2em;
    font-weight: bold;
}
/* /Components/TimerDisplay.razor.rz.scp.css */
.btn-pause-resume[b-bso6g6glfe] {
    /*font-size: 2em;*/
    padding: 2px;
    line-height: 0em;
}
/* /Components/WelcomeRoomNameInput.razor.rz.scp.css */
/* /Components/WordCard.razor.rz.scp.css */


.card-title[b-sq5qyj8b8e] {
    font-size: calc(0.5em + 0.5vw);
    font-stretch: 100%;
    letter-spacing: 0px;
    font-weight: bold;
    white-space: nowrap;
    margin-bottom: 0;
}

.card-body[b-sq5qyj8b8e] {
    padding-top: 8px;
    padding-bottom: 8px;
    padding-left: 0px;
    padding-right: 0px;
}

.word-click-footer[b-sq5qyj8b8e] {
    font-size: calc(0.4em + 0.5vw);
    white-space: nowrap;
}

.btn-group-sm .btn[b-sq5qyj8b8e] {
    padding: 0.2rem 0.2rem;
    font-size: 0.75rem;
}


.grid-item[b-sq5qyj8b8e] {
    min-height: 85px;
    border-radius: 0px;
    border: 0px;
}

.grid-item-body[b-sq5qyj8b8e] {
    display: flex;
    justify-content: center;
    align-items: center;
}

.select-word-button[b-sq5qyj8b8e] {
    position: absolute;
    top: 0px;
    right: 0px;
    border: none;
    background-color: transparent;
    padding-right: 3px;
}

.dictionary-button[b-sq5qyj8b8e] {
    position: absolute;
    top: 0px;
    left: 0px;
    border: none;
    background-color: transparent;
    padding-left: 3px;
}


.btn-check[b-sq5qyj8b8e] {
    min-height: 15px;

}

.tapbtn:checked + .tapbtnlabel[b-sq5qyj8b8e], .tapbtnlabel:hover[b-sq5qyj8b8e] {
    background-color: var(--background-color);
    color: var(--hover-color);
}

.tapbtnlabel[b-sq5qyj8b8e] {
    color: var(--background-color);
    font-weight: bold;
}
/* /Components/WordGrid.razor.rz.scp.css */
.grid-container[b-nrc3tjsqe0] {
    display: grid;
    grid-gap: 15px;
}
/* /Components/WordsPanel.razor.rz.scp.css */
.word-box[b-odl5zdqd7w] {
    border-radius: 0px;
    border: 0px;
}

.word-body[b-odl5zdqd7w] {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 16px;
    padding-bottom: 8px;
    padding-left: 8px;
    padding-right: 8px;
}

.word-edit-button[b-odl5zdqd7w] {
    position: absolute;
    top: 0px;
    right: 0px;
    border: none;
    background-color: transparent;
    padding-right: 3px;
}

.dictionary-button[b-odl5zdqd7w] {
    position: absolute;
    top: 0px;
    left: 0px;
    border: none;
    background-color: transparent;
    padding-left: 3px;
}
/* /Layouts/BlankLayout.razor.rz.scp.css */
.page[b-cu9277banu] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-cu9277banu] {
    flex: 1;
}
/* /Layouts/HeroLayout.razor.rz.scp.css */
.page[b-hcx8l8fojz] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-hcx8l8fojz] {
    flex: 1;
}
/* /Layouts/MainLayout.razor.rz.scp.css */
.page[b-yls6dtclix] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-yls6dtclix] {
    flex: 1;
}

.sidebar[b-yls6dtclix] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-yls6dtclix] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-start;
    height: 3rem;
    display: flex;
    align-items: center;
}

    .top-row[b-yls6dtclix]  a, .top-row .btn-link[b-yls6dtclix] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-yls6dtclix] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-yls6dtclix] {
        /*display: none;*/
    }

    .top-row.auth[b-yls6dtclix] {
        justify-content: space-between;
    }

    .top-row a[b-yls6dtclix], .top-row .btn-link[b-yls6dtclix] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-yls6dtclix] {
        flex-direction: row;
    }

    .top-row[b-yls6dtclix] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

/*    .top-row, article {
        margin-left: 1rem !important;
        margin-right: 1rem !important;
    }*/
}
/* /Pages/GamePage.razor.rz.scp.css */



.replay-btn[b-g8jyzam8pr] {
    outline: none;
    box-shadow: none;
}

.replay-btn:focus[b-g8jyzam8pr] {
    outline: none;
    box-shadow:none;
}
/* /Pages/Me.razor.rz.scp.css */
.switch[b-zszgq7am5i] {
    width: 20px;
    height: 20px;
    border: none;
    background-color: #fff;
    cursor: pointer;
}

.switch:checked[b-zszgq7am5i] {
    background-color: #000;
}

.WordCnt[b-zszgq7am5i] {
    width: 100px;
    height: 30px;
    font-size: 16px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.form-group div[b-zszgq7am5i] {
    margin-bottom: 10px;
}

.form-group input:disabled[b-zszgq7am5i] {
    background-color: lightgray;
}
/* /Pages/RoomGames.razor.rz.scp.css */
.container-games[b-ndy27r778p] {
    width: 600px;
    max-width: 100%;
}
/* /Pages/RoomHome.razor.rz.scp.css */


.side-column[b-xbi562xu3h] {

}

/* /Pages/RoomJoin.razor.rz.scp.css */


.side-column[b-zhnte2pb0g] {

}

/* /Pages/RoomSettings.razor.rz.scp.css */
.switch[b-dpdkbg726b] {
    width: 20px;
    height: 20px;
    border: none;
    background-color: #fff;
    cursor: pointer;
}

.switch:checked[b-dpdkbg726b] {
    background-color: #000;
}

.WordCnt[b-dpdkbg726b] {
    width: 100px!important;
    //height: 30px;
    font-size: 16px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.form-group div[b-dpdkbg726b] {
    margin-bottom: 10px;
}

.form-group input:disabled[b-dpdkbg726b] {
    background-color: lightgray;
}
/* /Pages/RoomWords.razor.rz.scp.css */
